src/Entity/Artwork.php
<?php

namespace App\Entity;

use App\Repository\ArtworkRepository;
use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;
use Doctrine\DBAL\Types\Types;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: ArtworkRepository::class)]
class Artwork
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\Column(length: 255)]
    private ?string $artwork_title = null;

    #[ORM\Column(type: Types::DATETIME_MUTABLE)]
    private ?\DateTimeInterface $creation_date = null;

    #[ORM\OneToMany(mappedBy: 'artwork', targetEntity: Comment::class, orphanRemoval: true)]
    private Collection $comments;

    #[ORM\OneToMany(mappedBy: 'artwork', targetEntity: Report::class, orphanRemoval: true)]
    private Collection $reports;

    #[ORM\ManyToMany(targetEntity: Category::class, mappedBy: 'artwork')]
    private Collection $categories;

    #[ORM\OneToOne(inversedBy: 'artwork', cascade: ['persist', 'remove'])]
    #[ORM\JoinColumn(nullable: false)]
    private ?Photo $photo = null;

    #[ORM\ManyToOne(inversedBy: 'artworks')]
    #[ORM\JoinColumn(nullable: false)]
    private ?Member $member = null;

    #[ORM\ManyToMany(targetEntity: Member::class, inversedBy:"artwork")]
    private collection $likes;

    public function __construct()
    {
        $this->comments = new ArrayCollection();
        $this->reports = new ArrayCollection();
        $this->categories = new ArrayCollection();
        $this->likes = new ArrayCollection();
    }

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getArtworkTitle(): ?string
    {
        return $this->artwork_title;
    }

    public function setArtworkTitle(string $artwork_title): static
    {
        $this->artwork_title = $artwork_title;

        return $this;
    }

    public function getCreationDateString(): string
    {
        return $this->creation_date->format('D, d M Y H:i:s');
    }

    public function getCreationDate(): ?\DateTimeInterface
    {
        return $this->creation_date;
    }

    public function setCreationDate(\DateTimeInterface $creation_date): static
    {
        $this->creation_date = $creation_date;

        return $this;
    }

    /**
     * @return Collection<int, Comment>
     */
    public function getComments(): Collection
    {
        return $this->comments;
    }

    public function addComment(Comment $comment): static
    {
        if (!$this->comments->contains($comment)) {
            $this->comments->add($comment);
            $comment->setArtwork($this);
        }

        return $this;
    }

    public function removeComment(Comment $comment): static
    {
        if ($this->comments->removeElement($comment)) {
            // set the owning side to null (unless already changed)
            if ($comment->getArtwork() === $this) {
                $comment->setArtwork(null);
            }
        }

        return $this;
    }

    /**
     * @return Collection<int, Report>
     */
    public function getReports(): Collection
    {
        return $this->reports;
    }

    public function addReport(Report $report): static
    {
        if (!$this->reports->contains($report)) {
            $this->reports->add($report);
            $report->setArtwork($this);
        }

        return $this;
    }

    public function removeReport(Report $report): static
    {
        if ($this->reports->removeElement($report)) {
            // set the owning side to null (unless already changed)
            if ($report->getArtwork() === $this) {
                $report->setArtwork(null);
            }
        }

        return $this;
    }

    /**
     * @return Collection<int, Category>
     */
    public function getCategories(): Collection
    {
        return $this->categories;
    }

    public function addCategory(Category $category): static
    {
        if (!$this->categories->contains($category)) {
            $this->categories->add($category);
            $category->addArtwork($this);
        }

        return $this;
    }

    public function removeCategory(Category $category): static
    {
        if ($this->categories->removeElement($category)) {
            $category->removeArtwork($this);
        }

        return $this;
    }

    public function getPhoto(): ?Photo
    {
        return $this->photo;
    }

    public function setPhoto(Photo $photo): static
    {
        $this->photo = $photo;

        return $this;
    }

    public function getMember(): ?Member
    {
        return $this->member;
    }

    public function setMember(?Member $member): static
    {
        $this->member = $member;

        return $this;
    }

    /**
     * @return Collection
     */
    public function getLikes(): Collection
    {
        return $this->likes;
    }

    public function __toString(): string
    {
        return $this->likes;
    }


    public function addLike(Member $like): self
    {
        if (!$this->likes->contains($like)){
            $this->likes[] = $like;
        }
        return $this;
    }

    public function removeLike(Member $like):self
    {
        $this->likes->removeElement($like);

        return $this;
    }

    public function isLikeByUser(Member $member):bool
    {
        return $this->likes->contains($member);
    }

}

src/Entity/Category.php
<?php

namespace App\Entity;

use App\Repository\CategoryRepository;
use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: CategoryRepository::class)]
class Category
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\Column(length: 255)]
    private ?string $category_name = null;

    #[ORM\ManyToMany(targetEntity: Artwork::class, inversedBy: 'categories')]
    private Collection $artwork;

    public function __construct()
    {
        $this->artwork = new ArrayCollection();
    }
    public function __toString(): string
    {
        return $this->category_name;
    }

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getCategoryName(): ?string
    {
        return $this->category_name;
    }

    public function setCategoryName(string $category_name): static
    {
        $this->category_name = $category_name;

        return $this;
    }

    /**
     * @return Collection<int, Artwork>
     */
    public function getArtwork(): Collection
    {
        return $this->artwork;
    }

    public function addArtwork(Artwork $artwork): static
    {
        if (!$this->artwork->contains($artwork)) {
            $this->artwork->add($artwork);
        }

        return $this;
    }

    public function removeArtwork(Artwork $artwork): static
    {
        $this->artwork->removeElement($artwork);

        return $this;
    }
}

templates/pages/account.html.twig
{% extends 'layouts/artdrop.html.twig' %}

{% block title %}ArtDrop _ Compte{% endblock %}


{% block titleAndDecription %}
    {% if app.user %}
        <!-- Si l'utilisateur est connecté, affiche un message de bienvenue -->
        <h2>Espace utilisateur</h2>
        <p>Bienvenue dans votre espace personnel. C'est ici que vous pouvez retrouver toutes vos collections, regroupant
            les contenus que vous avez créés ou appréciés.</p>
    {% else %}
        <!-- Si l'utilisateur n'est pas connecté, affiche un message d'erreur -->
        <h1 class="error_access_message">Vous devez être connecté pour accéder à cette page</h1>
    {% endif %}
{% endblock %}

{% block section %}
    {% if app.user %}
        <!-- Si l'utilisateur est connecté, affiche une section avec des services -->
        <!-- ======= Services Section ======= -->
        <section id="services" class="services">
            <div class="container">

                <div class="row gy-4">

                    <!-- Service 1 : Mes œuvres -->
                    <div class="col-xl-3 col-md-6 d-flex">
                        <div class="service-item position-relative">
                            <i class="bi bi-brush"></i>
                            <h4><a href="{{ path('artwork') }}" class="stretched-link">Mes oeuvres</a></h4>
                            <p>Ceci est votre espace réservé, vous pouvez ajouter, modifier ou supprimer vos créations,
                                partager votre Esprit créatif avec votre public.</p>
                        </div>
                    </div><!-- End Service Item -->

                    <!-- Service 2 : Ma biography -->
                    <div class="col-xl-3 col-md-6 d-flex">
                        <div class="service-item position-relative">
                            <i class="bi bi-book"></i>
                            <h4><a href="{{ path('biography') }}" class="stretched-link">Biographie</a></h4>
                            <p>Partager avec votre public la raison profonde qui vous pousse à créer, les passions qui
                                animent votre art, et l'inspiration qui éclaire vos œuvres. </p>
                        </div>
                    </div><!-- End Service Item -->

                    <!-- Service 3 : Mes lien vers les réseaux sociaux -->
                    <div class="col-xl-3 col-md-6 d-flex">
                        <div class="service-item position-relative">
                            <i class="bi bi-globe"></i>
                            <h4><a href="{{ path('network') }}" class="stretched-link">Reseaux sociaux</a></h4>
                            <p>Connectez vos réseaux sociaux à votre profil artistique pour partager votre univers
                                créatif avec votre public sur diverses plateformes en ligne.</p>
                        </div>
                    </div><!-- End Service Item -->

                    <!-- Service 4 : Mes favoris -->
                    <div class="col-xl-3 col-md-6 d-flex">
                        <div class="service-item position-relative">
                            <i class="bi bi-arrow-through-heart"></i>
                            <h4><a href="{{ path('favorite') }}" class="stretched-link">Création favorite</a></h4>
                            <p>"Retrouvez ici toutes les œuvres que vous avez enregistrées comme favorites. redécouvrer
                                et apprécier ces créations spéciales."</p>
                        </div>
                    </div><!-- End Service Item -->

                    <div class="alert-message">
                        {% include 'includes/flash-message.html.twig' %}
                    </div>

                </div>

            </div>
        </section><!-- End Services Section -->
    {% endif %}
{% endblock %}

templates/pages/add-element.html.twig
{% extends 'layouts/admin.html.twig' %}

{% block title %}insertion d'un nouveau contenu{% endblock %}

{% block javascripts %}
    <script src="{{ asset('assets/js/checkbox.js') }}"></script>
{% endblock %}

{% block body %}
    <div class="title-page-add-item">
        <h1>Crée un nouvel Artwork</h1>
        <h2>bienvenu sur la page d'ajout de contenu, cette page n'existe pas encore</h2>
    </div>

    <div class="form_artwork">
            {{ form(artworkForm)  }}
    </div>

{% endblock %}

templates/pages/artist_profile.html.twig
{% extends 'layouts/artdrop.html.twig' %}


{% block title %}Profil d'artitse de (nom de l'artiste){% endblock %}


{% block newstylesheets %}
    <!-- Inclut une feuille de style spécifique pour la page -->
    <link rel="stylesheet" href="{{ asset('assets/css/my-artwork-content.css') }}">
{% endblock %}


{% block titleAndDecription %}
    <!-- Affiche le titre de la page avec le nom de l'artiste -->
    <h2>Page profil de <span class="artist-nametag">{{ member.nametag }}</span></h2>
{% endblock %}


{% block section %}
    <!-- ======= Section des œuvres d'art de l'artiste ======= -->
    <section class="gallery">
        <h3 class="title-profile-artist">Autres oeuvres</h3>

        <!-- Affiche les œuvres d'art de l'artiste -->
        <div class="my-artwork-items row">

            {% for artwork in artworkEntities %}
                <div class="artwork-item col-xl-3 col-lg-4 col-md-6">
                    <div class="artwork-box">
                        <div class="unique_artwork gallery-item">
                            <a href="{{ path('artwork_page', { 'id' : artwork.id }) }}" class="open-lightbox"><img
                                        src="{{ asset('assets/uploads/' ~ artwork.photo.path) }}"
                                        alt="{{ artwork.artworkTitle }}" class="img-fluid"></a>
                        </div>
                    </div>
                </div>
            {% endfor %}

        </div>
        <!-- Fin de la section des œuvres d'art de l'artiste -->
    </section>

    <!-- Section pour la biographie et les réseaux sociaux -->
    <section>

        <div class="bio-box">
            <div class="info-container">
                <h3 class="title-profile-artist-info">Biographie</h3>
                <hr>
                {% if biographyEntity %}
                    <!-- Si une biographie existe, l'affiche -->
                    <p class="biography-text">{{ biographyEntity.biography }}</p>

                {% else %}
                    <!-- Si aucune biographie n'existe, affiche un message -->
                    <div class="artist-profil-text-content">
                        <div class="not-biograhpy">
                            <p>Aucune biographie pour le moment.</p>
                        </div>
                    </div>
                {% endif %}
                <hr>
            </div>
        </div>

        <!-- Affiche les liens vers les réseaux sociaux de l'artiste -->
        <div class="info-container">

            <h3 class="title-profile-artist-info">Réseaux Sociaux</h3>
            <div class="network-container">
                {% if networkEntities is not empty %}
                    <!-- Si des liens vers les réseaux sociaux existent, les affiche -->
                    {% include 'includes/network-element.html.twig' %}

                {% else %}
                    <!-- Si aucun lien vers les réseaux sociaux n'existe, affiche un message -->
                    <div class="artist-profil-text-content">
                        <div class="not-network">
                            <p>Aucun lien vers les réseaux pour le moment.</p>
                        </div>
                    </div>
                {% endif %}
            </div>
        </div>

        <!-- Fin de la section de la biographie et des réseaux sociaux -->
    </section>
{% endblock %}

templates/pages/artwork-page.html.twig
{% extends 'layouts/artdrop.html.twig' %}

{% block title %}artwork - {{ entity.getArtworkTitle() }}{% endblock %}

{% block newstylesheets %}
    <!-- Inclut une feuille de style spécifique pour la page -->
    <link rel="stylesheet" href="{{ asset('assets/css/my-artwork-content.css') }}">
{% endblock %}

{% block newjavascripts %}
    <!-- Inclut un script JavaScript pour la gestion des likes -->
    <script type="module" src="{{ asset('assets/js/artwork-like.js') }}"></script>
{% endblock %}

{% block body %}
    <!-- Contenu principal de la page -->
    <div class="artwork-container">
        <div class="lightbox">
            <div class="lightbox-content">
                <div class="img-and-text">
                    <!-- Affiche l'image de l'œuvre d'art -->
                    <img src="{{ asset('assets/uploads/' ~ entity.photo.path) }}" alt="{{ entity.artworktitle }}"
                         class="img-fluid">
                    <div class="box-content">

                        <!-- Affiche le nom de l'artiste lié à l'œuvre d'art -->
                        <a href="{{ path('artist_profile',{ 'id' : entity.member.id }) }}"><h4
                                    class="creator-name">{{ entity.member.nametag }}</h4></a>

                        <!-- Affiche le titre de l'œuvre d'art -->
                        <h3 class="title-next-to-image">{{ entity.ArtworkTitle() }}</h3>
                        <hr>

                        <!-- Affiche les catégories liées à l'œuvre d'art -->
                        <div class="tag-box">
                            <ul>
                                {% for category in entity.categories %}
                                    <li>

                                        <a href="{{ path('gallery') }}" class="tag">{{ category.categoryName }}</a>

                                    </li>
                                {% endfor %}
                            </ul>
                        </div>
                        <hr>

                        <!-- Affiche les boutons d'interaction (like, report) -->
                        <div class="actions">
                            <div class="action-item">
                                <!-- Bouton de like avec système de switch d'icône selon l'interaction like effectuer-->
                                <a href="{% if app.user %}{{ path('like_artwork', {id: entity.id}) }} {% else %}#{% endif %}"
                                   class="favorite-button" data-action="like">

                                    <i class="bi bi-heart-fill {{ app.user in entity.likes ? '' : 'hidden' }}"
                                       id="toggle-like"></i>
                                    <i class="bi bi-heart {{ app.user in entity.likes ? 'hidden' : '' }}"
                                       id="toggle-unlike"></i>
                                    <span class="count-like">
                                        {{ entity.likes|length }}
                                        J'aime
                                    </span>

                                </a>

                            </div>

                            {% if app.user %}
                            <!-- Bouton de signalement -->
                            <div class="action-item">
                                <a href="{{ path('report', { 'id' : entity.id }) }}" class="report-button"><i class="bi bi-flag-fill"></i></a>
                                <!-- Icône de report -->
                            </div>
                            {% endif %}
                        </div>

                        <!-- Affiche la section des commentaires -->
                        <h2 class="comment-title">Commentaires</h2>
                        <div class="comments-section">
                            <ul class="comment-list">

                                <!-- Boucle sur les commentaires -->
                                {% for comment in comments %}
                                    <li class="comment">
                                        <div class="comment-content">
                                            <p><span class="nametag">{{ comment.member.nametag }}</span>
                                                : {{ comment.commentary }}</p>
                                        </div>
                                    </li>
                                {% endfor %}

                            </ul>

                        </div>
                        <!-- Champ d'entrée pour ajouter un commentaire -->
                        <div class="comment-input">
                            <div id="comment-artwork-id" data-id="{{ entity.id }}"></div>
                            <!-- affichage du formulaire -->
                            {{ form(commentForm) }}
                            <div class="error_message">{{ error }}</div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>

{% endblock %}

templates/pages/biography.html.twig
{% extends 'layouts/artdrop.html.twig' %}

{% block title %}Biographie{% endblock %}

{% block newstylesheets %}
    <!-- Inclut une feuille de style spécifique pour la page -->
    <link rel="stylesheet" href="{{ asset('assets/css/my-artwork-content.css') }}">
{% endblock %}

{% block newjavascripts %}
    <!-- Inclut un script JavaScript pour la gestion des boutons interactif -->
    <script src="{{ asset('assets/js/bio.js') }}"></script>
{% endblock %}

{% block titleAndDecription %}
    {% if app.user %}
        <!-- Affiche le titre de la page si l'utilisateur est connecté -->
        <h2>Biographie</h2>
    {% else %}
        <!-- Affiche un message d'erreur si l'utilisateur n'est pas connecté -->
        <h1 class="error_access_message">Vous devez être connecté pour accéder à cette page</h1>
    {% endif %}
{% endblock %}


{% block section %}

    {% if app.user %}
        <!-- Affiche la section de la biographie si l'utilisateur est connecté -->
        <section>

            <div class="biography-container">
                <div class="bio-text">
                    <!-- Boucle sur les biographies pour afficher le texte -->
                    {% for biography in biographies %}
                        <p id="bio-text">
                            {{ biography.biography }}
                        </p>
                    {% endfor %}
                </div>
                <!-- Boutons d'actions pour la biographie -->
                <div class="actions biography-actions">
                    <div class="action-item">
                        <!-- Icône de modification -->
                            <a href="{% for biography in biographies %} {{ path('update_biography', { 'id': biography.id }) }} {% endfor %}"><i
                                    class="bi bi-pencil" id="update"></i></a>
                    </div>
                    <div class="action-item">
                        <!-- Icône de suppression supprime seulement la description -->
                        <a href="{% for biography in biographies %} {{ path('delete_biography', { 'id': biography.id }) }} {% endfor %}"><i
                                    class="bi bi-trash" id="delete"></i></a>
                    </div>
                    <div class="action-item">
                        <!-- Icône d'ajout (ajoute du texte quand il est vide)-->
                        <a href="#"><i class="bi bi-plus" id="add"></i></a>
                    </div>
                </div>
                <div class="bio-form" id="bio-form">
                    <!-- Formulaire pour la biographie -->
                    {{ form(bioForm) }}
                </div>
            </div>
            <!-- Fin de la section Biographie -->
        </section>
    {% endif %}

{% endblock %}

templates/pages/favorite.html.twig
{% extends 'layouts/artdrop.html.twig' %}

{% block title %}Mes Favoris{% endblock %}

{% block newstylesheets %}
    <!-- Inclut une feuille de style spécifique pour la page -->
    <link rel="stylesheet" href="{{ asset('assets/css/my-artwork-content.css') }}">
{% endblock %}



{% block titleAndDecription %}
    {% if app.user %}
        <!-- Si l'utilisateur est connecté, affiche le titre de la page -->
        <h2>Mes favoris</h2>
    {% else %}
        <!-- Si l'utilisateur n'est pas connecté, affiche un message d'erreur -->
        <h1 class="error_access_message">Vous devez être connecté pour accéder à cette page</h1>
    {% endif %}

{% endblock %}


{% block section %}

    {% if app.user %}
        <!-- Si l'utilisateur est connecté, affiche la section des favoris -->
        <!-- ======= Favorite Section ======= -->
        <section class="gallery">
            <div class="container-fluid">
                <div class="row gy-4 justify-content-center">

                    {% if likedArtworks is not empty %}
                        <!-- Si des œuvres sont aimées, les affiche -->
                        {% for artwork in likedArtworks %}
                            <div class="artwork-item col-xl-3 col-lg-4 col-md-6">
                                <div class="artwork-box">
                                    <div class="gallery-item h-100">
                                        <!-- Affiche une image liée à l'œuvre avec un lien vers la page de l'œuvre -->
                                        <a href="{{ path('artwork_page', { 'id' : artwork.id }) }}"><img
                                                    src="{{ asset('assets/uploads/' ~ artwork.photo.path) }}"
                                                    alt="{{ artwork.artworkTitle }}" class="img-fluid"></a>
                                    </div>
                                </div>
                            </div>
                        {% endfor %}
                    {% else %}
                        <!-- Si aucune œuvre n'est aimée, affiche un message -->
                        <div class="favorite-text-content">
                            <div class="not-like-artwork-text">
                                <p>Aucun artwork aimé pour le moment.</p>
                            </div>
                        </div>
                    {% endif %}

                </div>
            </div>
            <!-- End Favorite Section -->
        </section>
    {% endif %}

{% endblock %}

templates/pages/home.html.twig
{% extends 'layouts/artdrop.html.twig' %}

{% block title %}Bienvenu sur ArtDrop{% endblock %}

{% block newstylesheets %}
    <!-- Inclut une feuille de style spécifique pour la page -->
    <link rel="stylesheet" href="{{ asset('assets/css/my-artwork-content.css') }}">
{% endblock %}


{% block newjavascripts %}
    <!-- Inclut la feuille de JS spécifique pour la page -->
    <script src="{{ asset('assets/js/searchBar.js') }}"></script>
    <script src="{{ asset('assets/js/checkbox.js') }}"></script>
{% endblock %}


{% block searchicon %}
    <!-- ajout d'une icône pour l'affichage du moteur de la barre de recherche -->
    <li id="search-icon" onclick="toggleSearchBar()"><a href="#"><i class="bi bi-search search-icon"></i></a>
    </li> {% endblock %}


{% block enginesearch %}
    <!-- moteur de recherche -->

    <div class="engine-search">
        <div id="search-bar" class="search-bar">
            {#            <input type="text" id="search-input" placeholder="Rechercher..."> #}
            {{ form_start(searchForm) }}
            {{ form_widget(searchForm.search, {'attr': {'id':'search-input'}}) }}
            <button id="search-button">Rechercher</button>
            <br>
            {{ form_widget(searchForm.categories) }}
            {{ form_end(searchForm) }}
        </div>
    </div>
{% endblock %}


 {% block heroSection %}
     <!-- ======= Hero Section ======= -->
     <section id="hero" class="hero d-flex flex-column justify-content-center align-items-center">
         <div class="container">
             <div class="row justify-content-center">
                 <div class="col-lg-6 text-center">
                     <!-- affiche le titre et la déscription de la page -->
                     <h2>Bienvenue dans notre galerie d'art numérique ! <span> ArtDrop </span></h2>
                     <p class="welcome_text">Plongez dans un univers créatif où chaque œuvre raconte une histoire.
                         Explorez ces trésors numériques, fruit du talent et de la passion d'artistes indépendants.
                         Laissez-vous captiver par la richesse de l'art numérique et par les émotions qu'il suscite.
                         Profitez de cette expérience artistique unique !</p>
                 </div>
             </div>
         </div>
     </section><!-- End Hero Section -->
 {% endblock %}


{% block section %}
    <!-- ======= Gallery Section ======= -->
    <!-- section de la gallery comprennent l'ensemble des oeuvres créer par tout les utilisateurs -->
    <section class="gallery">
        <div class="container-fluid">
            <div class="row gy-4 justify-content-center">

                {% if artworks is not empty %}
                    {% for artwork in artworks %}
                        <!-- ouvre généré dynamiquement par la boucle -->
                        <div class="artwork-item col-xl-3 col-lg-4 col-md-6">
                            <div class="artwork-box">
                                <div class="gallery-item h-100">
                                    <a href="{{ path('artwork_page', { 'id': artwork.id } ) }}"><img
                                                src="{{ asset('assets/uploads/' ~ artwork.photo.path) }}"
                                                alt="{{ artwork.artworkTitle }}" class="img-fluid"></a>
                                </div>
                            </div>
                        </div>
                    {% endfor %}
                {% else %}
                    <!-- Inclut un message de informatif dans le cas ou la recherche ne donne rien -->
                    {% include 'includes/flash-message.html.twig' %}
                    <!-- boucle créant chaque oeuvre-->
                    {% for entity in artworks %}
                        <!-- ouvre généré dynamiquement par la boucle -->
                        <div class="artwork-item col-xl-3 col-lg-4 col-md-6">
                            <div class="artwork-box">
                                <div class="gallery-item h-100">
                                    <a href="{{ path('artwork_page', { 'id': entity.id } ) }}"><img
                                                src="{{ asset('assets/uploads/' ~ entity.photo.path) }}"
                                                alt="{{ entity.artworkTitle }}" class="img-fluid"></a>
                                </div>
                            </div>
                        </div>
                    {% endfor %}
                {% endif %}
            </div>
        </div>
        <!-- End Gallery Section -->
    </section>
{% endblock %}